# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "mm1-ask"
version = "0.7.16"
build = false
exclude = ["**/*.snap"]
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "M/M/1! Queueing, do you speak it?!"
readme = false
license = "MIT"
repository = "https://github.com/agner-rs/mm1"

[lib]
name = "mm1_ask"
path = "src/lib.rs"

[dependencies.derive_more]
version = "^2.1"
features = ["from"]

[dependencies.mm1-address]
version = "=0.7.16"

[dependencies.mm1-common]
version = "=0.7.16"
features = ["futures"]

[dependencies.mm1-core]
version = "=0.7.16"

[dependencies.mm1-proto]
version = "=0.7.16"

[dependencies.mm1-proto-ask]
version = "=0.7.16"
